/**
 * @file comms_sband_xlink_sock.h
 *
 * @brief This file contains APIs for S-Band parameters configuration
 *        programming and readback
 *
 * @copyright Copyright 2023 Antaris, Inc.
 *
 * Licensed under the Apache License, Version 2.0(the "License");
 *you may not use this file except in compliance with the License.
 *you may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
*
*/
#ifndef COMMS_SBAND_XLINK_SOCK_H_
#define COMMS_SBAND_XLINK_SOCK_H_

void sband_xlink_client_init();
void* sband_xlink_rcv_thrd(void* args);
uint8_t sband_cmd_read(uint8_t* buff, uint16_t length);
uint8_t sband_client_connect();
uint8_t sband_cmd_write(uint16_t length, uint8_t* buff);

void sband_xlink_tx(uint8_t *data,uint32 TrfLen, uint32 PktCnt);
uint32_t sband_xlink_rx(uint8_t* rcv_pkt, uint32 ret_byt_cnt);
uint32_t xlink_get_udp_ip_addr(void);
uint32_t xlink_get_udp_temp_ip_addr(uint8_t *ip);

#endif /*COMMS_SBAND_XLINK_SOCK_H_*/

